%define fw_version 5.24

Summary:	KDE Frameworks 5 module with various classes to work with KCModules
Name:		kcmutils
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	kf5configwidgets-devel >= %{version}
BuildRequires:	kf5coreaddons-devel >= %{version}
BuildRequires:	kf5declarative-devel >= %{version}
BuildRequires:	kf5i18n-devel >= %{version}
BuildRequires:	kf5iconthemes-devel >= %{version}
BuildRequires:	kf5itemviews-devel >= %{version}
BuildRequires:	kf5package-devel >= %{version}
BuildRequires:	kf5service-devel >= %{version}
BuildRequires:	kf5xmlgui-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5QuickWidgets)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
KDE Frameworks 5 module with various classes to work with KCModules.

KCMUtils provides various classes to work with KCModules. KCModules can
be created with the KConfigWidgets framework.

%files
%{_kde5_servicetypes}/kcmodule.desktop
%{_kde5_servicetypes}/kcmoduleinit.desktop

#----------------------------------------------------------------------------

%package i18n
Summary:	KCMUtils translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KCMUtils translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5kcmutils_major 5
%define libkf5kcmutils %mklibname kf5kcmutils %{kf5kcmutils_major}

%package -n %{libkf5kcmutils}
Summary:	KDE Frameworks 5 KCMUtils shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5kcmutils}
KDE Frameworks 5 KCMUtils shared library.

%files -n %{libkf5kcmutils}
%{_kde5_libdir}/libKF5KCMUtils.so.%{kf5kcmutils_major}*

#----------------------------------------------------------------------------

%define devkf5kcmutils %mklibname kf5kcmutils -d

%package -n %{devkf5kcmutils}
Summary:	Development files for KDE Frameworks 5 KCMUtils
Group:		Development/KDE and Qt
Requires:	%{libkf5kcmutils} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5kcmutils-devel = %{EVRD}

%description -n %{devkf5kcmutils}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5kcmutils}
%{_kde5_includedir}/KF5/KCMUtils
%{_kde5_includedir}/KF5/kcmutils_version.h
%{_kde5_libdir}/cmake/KF5KCMUtils
%{_kde5_libdir}/libKF5KCMUtils.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (30d33ff) New version 5.24.0


